/* depthcue.sl - fade out with distance
 *
 */


volume
depthcue (float mindistance = 0, maxdistance = 1;
	  color background = 0;)
{
  Ci = mix (Ci, background,
	    clamp ((depth(P)-mindistance) / (maxdistance-mindistance), 0, 1));
}
