/*
 * fakesky.sl
 *
 * Shader a la const that slaps a fixed blue color up on the top half of a
 * sphere.
 *
 * Entropy and BMRT are:
 * (c) Copyright 2001 Exluna, Inc.  Portions (c) 1990-2000 Larry Gritz.
 * All rights reserved.
 */
	
surface fakesky (vector up = vector "shader" (0,0,1);
		 color skycolor = (.5, .6, 1.))
{
    Oi = Os;
    Ci = Os * smoothstep(-.35, -.15, up . normalize(N)) * skycolor;
}
