/*
 * clamptoalpha.sl -- imager shader that forces Ci to be non-negative
 *    and with each component to greater than the alpha value of the
 *    pixel.
 *
 * Entropy and BMRT are:
 * (c) Copyright 2001 Exluna, Inc.  Portions (c) 1990-2000 Larry Gritz.
 * All rights reserved.
 */


imager
clamptoalpha ()
{
    Ci = clamp (Ci, color 0, color alpha);
}
